Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 120611 - NullPointerException at ParserManagerImpl.parse()
NullPointerException at ParserManagerImpl.parse()
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: languages
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@obsolete
issues@obsolete
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 13:25 UTC by Miloslav Metelka
Modified: 2008-05-29 13:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (581 bytes, text/plain)
2007-10-31 13:25 UTC, Miloslav Metelka
Details
stacktrace (581 bytes, text/plain)
2007-11-18 20:01 UTC, minashokry
Details
stacktrace (581 bytes, text/plain)
2007-11-18 20:01 UTC, minashokry
Details
stacktrace (581 bytes, text/plain)
2007-11-22 09:38 UTC, miguelreyes98
Details
stacktrace (581 bytes, text/plain)
2007-11-22 09:38 UTC, miguelreyes98
Details
stacktrace (581 bytes, text/plain)
2007-11-25 21:54 UTC, giorgio42
Details
stacktrace (581 bytes, text/plain)
2007-11-27 11:53 UTC, nielsen_bmw
Details
stacktrace (581 bytes, text/plain)
2007-11-29 10:58 UTC, natie
Details
stacktrace (581 bytes, text/plain)
2007-11-29 21:06 UTC, giorgio42
Details
stacktrace (581 bytes, text/plain)
2007-11-30 13:51 UTC, gidravlic
Details
stacktrace (581 bytes, text/plain)
2007-12-03 17:10 UTC, airmax
Details
stacktrace (581 bytes, text/plain)
2007-12-09 08:29 UTC, William Leonard
Details
stacktrace (581 bytes, text/plain)
2007-12-10 17:21 UTC, gustavoanatoly
Details
stacktrace (581 bytes, text/plain)
2007-12-19 15:33 UTC, vincentcaojun
Details
stacktrace (581 bytes, text/plain)
2007-12-20 08:44 UTC, vincentcaojun
Details
stacktrace (581 bytes, text/plain)
2007-12-25 10:00 UTC, baga
Details
stacktrace (581 bytes, text/plain)
2007-12-27 16:30 UTC, ilyanov
Details
stacktrace (581 bytes, text/plain)
2007-12-27 16:32 UTC, ilyanov
Details
stacktrace (581 bytes, text/plain)
2008-01-08 08:39 UTC, ppolyzos
Details
stacktrace (581 bytes, text/plain)
2008-01-28 23:34 UTC, mariuscosta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2007-10-31 13:25:00 UTC
Build: NetBeans IDE Dev (Build 071030)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b04
OS: Linux, 2.6.20-16-generic, i386

User Comments: 
Happens to me with older userdir only so probably a P4 but it might be worth to make the code more robust against the NPE. Happens when expanding an existing J2SE project in explorer the exception gets thrown.
Comment 1 Miloslav Metelka 2007-10-31 13:25:19 UTC
Created attachment 52115 [details]
stacktrace
Comment 2 Jan Jancura 2007-11-02 11:16:40 UTC
can not reproduce
Comment 3 minashokry 2007-11-18 20:01:01 UTC
Build: NetBeans IDE 6.0 RC1 (Build 200711131200)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, amd64

User Comments: 
Comment 4 minashokry 2007-11-18 20:01:04 UTC
Created attachment 53172 [details]
stacktrace
Comment 5 minashokry 2007-11-18 20:01:53 UTC
Build: NetBeans IDE 6.0 RC1 (Build 200711131200)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, amd64

User Comments: 
Comment 6 minashokry 2007-11-18 20:01:56 UTC
Created attachment 53173 [details]
stacktrace
Comment 7 miguelreyes98 2007-11-22 09:38:28 UTC
Build: NetBeans IDE 6.0 RC2 (Build 200711201000)
VM: Java HotSpot(TM) Client VM, 1.5.0_07-87
OS: Mac OS X, 10.4.11, i386

User Comments: 
when I first open netbeans
Comment 8 miguelreyes98 2007-11-22 09:38:37 UTC
Created attachment 53355 [details]
stacktrace
Comment 9 miguelreyes98 2007-11-22 09:38:50 UTC
Build: NetBeans IDE 6.0 RC2 (Build 200711201000)
VM: Java HotSpot(TM) Client VM, 1.5.0_07-87
OS: Mac OS X, 10.4.11, i386

User Comments: 
when I first open netbeans
Comment 10 miguelreyes98 2007-11-22 09:38:53 UTC
Created attachment 53356 [details]
stacktrace
Comment 11 giorgio42 2007-11-25 21:54:26 UTC
Build: NetBeans IDE Dev (Build 200711251200)
VM: Java HotSpot(TM) Client VM, 1.6.0_10-ea-b07
OS: Windows XP, 5.1, x86

User Comments: 
Comment 12 giorgio42 2007-11-25 21:54:30 UTC
Created attachment 53459 [details]
stacktrace
Comment 13 nielsen_bmw 2007-11-27 11:53:10 UTC
Build: NetBeans IDE 6.0 RC2 (Build 200711201000)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows Vista, 6.0, x86

User Comments: 
Comment 14 nielsen_bmw 2007-11-27 11:53:14 UTC
Created attachment 53539 [details]
stacktrace
Comment 15 natie 2007-11-29 10:58:26 UTC
Build: NetBeans IDE 6.0 RC2 (Build 200711201000)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
I was having a look at tools/options/.../autocompletion
Comment 16 natie 2007-11-29 10:58:31 UTC
Created attachment 53658 [details]
stacktrace
Comment 17 giorgio42 2007-11-29 21:06:19 UTC
Build: NetBeans IDE Dev (Build 200711290000)
VM: Java HotSpot(TM) Client VM, 1.6.0_10-ea-b07
OS: Windows XP, 5.1, x86

User Comments: 
Opened (really simple) groovy file.
Comment 18 giorgio42 2007-11-29 21:06:22 UTC
Created attachment 53693 [details]
stacktrace
Comment 19 gidravlic 2007-11-30 13:51:27 UTC
Build: NetBeans IDE 6.0 RC2 (Build 200711201000)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
Comment 20 gidravlic 2007-11-30 13:51:30 UTC
Created attachment 53714 [details]
stacktrace
Comment 21 airmax 2007-12-03 17:10:48 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
I tried to use control + space to complete tags jsf
Comment 22 airmax 2007-12-03 17:10:54 UTC
Created attachment 53788 [details]
stacktrace
Comment 23 William Leonard 2007-12-09 08:28:06 UTC
Certainly still a problem, especially given the number of folks that have reported on it.
Comment 24 William Leonard 2007-12-09 08:29:03 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.5.0_07-87
OS: Mac OS X, 10.4.11, i386

User Comments: 
Comment 25 William Leonard 2007-12-09 08:29:06 UTC
Created attachment 54041 [details]
stacktrace
Comment 26 gustavoanatoly 2007-12-10 17:21:17 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Linux, 2.6.20-16-generic, i386

User Comments: 
Starting netbeans
Comment 27 gustavoanatoly 2007-12-10 17:21:25 UTC
Created attachment 54103 [details]
stacktrace
Comment 28 vincentcaojun 2007-12-19 15:33:25 UTC
Build: NetBeans Ruby IDE 20071201191832
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
Comment 29 vincentcaojun 2007-12-19 15:33:33 UTC
Created attachment 54398 [details]
stacktrace
Comment 30 vincentcaojun 2007-12-20 08:43:57 UTC
Build: NetBeans Ruby IDE 20071201191832
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
it occurs when i do replacing words using Ctrl+Shift+H
Comment 31 vincentcaojun 2007-12-20 08:44:00 UTC
Created attachment 54408 [details]
stacktrace
Comment 32 baga 2007-12-25 10:00:29 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, i386

User Comments: 
Comment 33 baga 2007-12-25 10:00:34 UTC
Created attachment 54495 [details]
stacktrace
Comment 34 ilyanov 2007-12-27 16:29:58 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119
OS: Mac OS X, 10.5.1, i386

User Comments: 
maximized the editor pane.
Comment 35 ilyanov 2007-12-27 16:30:06 UTC
Created attachment 54531 [details]
stacktrace
Comment 36 ilyanov 2007-12-27 16:32:12 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119
OS: Mac OS X, 10.5.1, i386

User Comments: 
minimizing the editor pane
Comment 37 ilyanov 2007-12-27 16:32:20 UTC
Created attachment 54532 [details]
stacktrace
Comment 38 ppolyzos 2008-01-08 08:39:47 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows XP, 5.1, x86

User Comments: 
Several problems in Javascript editor
I am trying to use Netbeans as main Javascript editor but it doesn't seem to work at all.
Using Aptana Studio I have all the benefits of Navigator (Outline in Aptana) but in Netbeans I can't get any methods, or class I use...

Also the formating doesn't work at all.
Comment 39 ppolyzos 2008-01-08 08:39:51 UTC
Created attachment 54801 [details]
stacktrace
Comment 40 mariuscosta 2008-01-28 23:34:09 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
When I deployed an ear file I got null pointer exception. Same if I try to refactor-rename a method, class,  package, etc.
Comment 41 mariuscosta 2008-01-28 23:34:12 UTC
Created attachment 55681 [details]
stacktrace
Comment 42 Jan Jancura 2008-02-06 14:40:24 UTC
Fixed in trunk. Analyser can not be null now.
Comment 43 pgebauer 2008-03-07 21:09:15 UTC
The issue description doesn't contain any info about Hg changeset that fixed this issue. Also the command "hg log"
doesn't provide any changeset whose summary refers to this issue. It seems, the issue has been fix as a part of another
fix. So  the status whiteboard "release601_fixes_candidate2" has been removed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo